import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ippo_pay/ippo_pay.dart';

void main() {
  const MethodChannel channel = MethodChannel('ippo_pay');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await IppoPay.initSdk("publicKey"), '42');
  });
}
